package com.bsmlab.dfx.dfxconsole.app.agent.service;

import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface DfxAgentInfoMapper {
    List<DfxAgentInfoDto> selectDfxAgentInfoList();
    DfxAgentInfoDto selectDfxAgentInfoByAgentId(DfxAgentInfoDto dfxAgentInfoDto);
    void insertDfxAgentInfo(DfxAgentInfoDto dfxAgentInfoDto);
    int updateDfxAgentInfo(DfxAgentInfoDto dfxAgentInfoDto);
    List<DfxDropboxDto> selectDfxDropboxList();
    DfxDropboxDto selectDfxDropboxByAgentIdAndDropBoxId(DfxDropboxDto dfxDropboxDto);
    void insertDfxDropbox(DfxDropboxDto dfxDropboxDto);
    int deleteDfxDropboxByAgentId(DfxAgentInfoDto dfxAgentInfoDto);
    int deleteDfxDropboxByAgentIdAndDropboxId(DfxDropboxDto dfxDropboxDto);
    void insertDfxPostman(DfxPostmanDto dfxPostmanDto);
    int updateDfxPostman(DfxPostmanDto dfxPostmanDto);
    int deleteDfxPostmanByAgentId(DfxAgentInfoDto dfxAgentInfoDto);
}
